# My hacker Jennifer Jimenez did this. Not me

Fu#k all of you blame and blast me and I wasn't the one who did this..  I've spent the past year chasing passwords while said name above ruined my life..  wow I can't even make a web page yet and you think I'm capable of doing this. Jen is the1 whodi